import { User } from './User';
export class Commercant extends User
{
  // uid: string;
  raisonSociale: string;
  commercialName: string;
  siret: string;
  // email: string;
  // emailVerified: boolean;
  // password:string;
  dateInscription: Date;
  // status: string;

  constructor() {
    super();
    this.uid = '';
    this.raisonSociale = '';
    this.commercialName = '';
    this.siret = '';
    this.email = '';
    this.emailVerified = false;
    this.password = '';
    this.dateInscription = new Date();
    this.status = '';
  }
  /*
  addParrain(addStatus, addEmail, addFamilyname, addFirstname) {
    this.uid = '';
    this.email = addEmail;
    this.emailVerified = false;
    this.password = '';
    this.familyname = addFamilyname;
    this.firstname = addFirstname;
    this.username = '';
    this.birthday = new Date();
    this.idCard = '';
    this.secretCode = '';
    this.status = addStatus;
  }
  welcome() {
    console.log('Hi, ' + this.firstname + '!');
  }
  */
}
